<mat-card>
    <mat-card-title>Sign In</mat-card-title>
    <mat-card-content>
      <form [formGroup]="signInForm" (ngSubmit)="onSignIn()">
        <p class="sign-in-input">
          <mat-form-field appearance="outline">
            <mat-label>Email</mat-label>
            <input autocomplete="off" type="email" matInput placeholder="Your email" formControlName="email">
            <mat-icon matSuffix>email</mat-icon>
            <mat-error *ngIf="signInForm.controls['email'].hasError('required')">
              Email is <strong>required</strong>
            </mat-error>
            <mat-error *ngIf="signInForm.controls['email'].hasError('email')">
              Please enter a valid email
            </mat-error>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input type="password" matInput placeholder="Your password" formControlName="password">
            <mat-icon matSuffix>lock</mat-icon>
            <mat-error *ngIf="signInForm.controls['password'].hasError('required')">
              Password is required
            </mat-error>
          </mat-form-field>
        </p>
        <mat-error *ngIf="signInError" class="error">
          {{ signInError }}
        </mat-error>
        <div class="button">
          <button *ngIf="!isLoading" [disabled]="!signInForm.valid" mat-raised-button color="primary">Sign In</button>
          <mat-spinner *ngIf="isLoading" diameter="30"></mat-spinner>
        </div>
      </form>
    </mat-card-content>
  </mat-card>
